
Redmine - Feature #3964

display SCM commits in issue tracker

2009-10-04 01:17 - Sean Frequency

Status: Closed Start date: 2009-10-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

It would be a priceless feature to have Mercurial (or any other SCM) commit messages, which actually do refer to issues, displayed

within the issue tracker. That way it's a lot easier to keep track of the source code changes, which relate to a particular issue.

History

#1 - 2009-10-04 03:26 - Eric Davis

- Category set to SCM

- Status changed from New to Closed

- Resolution set to Invalid

This has been implemented.  For an example, #3865 shows a svn revision that is related to that issue (and other issues).

#2 - 2009-10-06 05:00 - Eric Davis

Sean Frequency asked me about the documentation for this and I thought it would be useful to post it here for future searchers:

Closing or linking SCM commits to issues is done by referencing the issue numbers in the commit messages.  There are examples as well as a

description of the different settings on the wiki at RedmineSettings.  The commit log for r473 allow has some documentation about linking a commit

message.
https://www.redmine.org/issues/3865
https://www.redmine.org/projects/redmine/wiki/RedmineSettings#Referencing-issues-in-commit-messages
https://www.redmine.org/projects/redmine/repository/svn/revisions/473
http://www.tcpdf.org

